Insight
Get vehicle summary of today
Returns the daily summary of the vehicle for today.
GET
/
vehicle
/
{vehicle_id}
/
summary
/
today
Get vehicle summary of today
curl --request GET \
--url https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/summary/today \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/summary/today"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/summary/today', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"vehicle_id": "<string>",
"date": "2023-12-25",
"vehicle_moved": true,
"home_locations": [
[
{
"longitude": 123,
"latitude": 123,
"radius": 123,
"duration": 123
}
]
],
"speed_max": 123,
"speed_avg": 123,
"distance_tot": 123,
"duration_tot": 123,
"battery_main_min": 123,
"battery_main_max": 123,
"num_trips": 123,
"fuel_used_pct": 123,
"fuel_used": 123,
"fuel_num_refueled": 123
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to retrieve summary for.
Response
Successful retrieval of this vehicle's daily summary of today. Note that this summary might be incomplete still.
⌘I
Get vehicle summary of today

